{% extends "layouts/base.html" %}

{% block title %}
Homepage
{% endblock %}

<!-- Specific Page CSS goes HERE  -->
{% block stylesheets %}
<link href="{{ config.ASSETS_ROOT }}/css/home/style.css" rel="stylesheet"/>
{% endblock stylesheets %}

{% block content %}
<div class="row">


    <div class="col-md-4 col-sm-6 mb-3">
        <a href="{{ url_for('users_registration_review_blueprint.index') }}" class="card-link">
            <div class="card">
                <div class="rounded d-flex align-items-center justify-content-between p-4">
                    <div class="ms-0">
                        <h5 class="card-title mb-1">Review User Registration</h5>
                        <span class="card-subtitle"> <span class="badge bg-success">{{ pending }}</span> Users Registration Pending     </span>
                    </div>
                    <i class="fa fa-user-plus fa-3x text-muted opacity-50"></i>
                </div>
            </div>
        </a>
    </div>
    <div class="col-md-4 col-sm-6 mb-3">
        <a href="{{ keycloak_console_url }}" class="card-link">
            <div class="card">
                <div class="rounded d-flex align-items-center justify-content-between p-4">
                    <div class="ms-0">
                        <h5 class="card-title mb-1">User Console</h5>
                        <span class="card-subtitle">Keycloak console for managing users directly in the database.</span>
                    </div>
                    <i class="fa fa-computer fa-3x text-muted opacity-50"></i>
                </div>
            </div>
        </a>
    </div>
    <div class="col-md-4 col-sm-6 mb-3">
        <a href="{{ url_for('users_export_blueprint.index') }}" class="card-link">
            <div class="card">
                <div class="rounded d-flex align-items-center justify-content-between p-4">
                    <div class="ms-0">
                        <h5 class="card-title mb-1">Export Users</h5>
                        <span class="card-subtitle">Export Keycloak Users to CSV</span>
                    </div>
                    <i class="fa fa-computer fa-3x text-muted opacity-50"></i>
                </div>
            </div>
        </a>
    </div>
    <div class="col-md-4 col-sm-6 mb-3">

        <a href="{{ url_for('users_import_blueprint.index') }}" class="card-link">
            <div class="card">
                <div class="rounded d-flex align-items-center justify-content-between p-4">
                    <div class="ms-0">
                        <h5 class="card-title mb-1">Import Users</h5>
                        <span class="card-subtitle">Add Users through importing excel file</span>
                    </div>
                    <i class="fa fa-cloud-arrow-up fa-3x text-muted opacity-50"></i>
                </div>
            </div>
        </a>

    </div>
    <!-- <div class="col-md-4 col-sm-6 mb-3">
        <a href="{{ url_for('home_blueprint.index') }}" class="card-link">
            <div class="card">
                <div class="rounded d-flex align-items-center justify-content-between p-4">
                    <div class="ms-0">
                        <h5 class="card-title mb-1">List New Registered Users</h5>
                        <span class="card-subtitle position-relative">List all new registered users in system</span>
                    </div>
                    <i class="fa fa-address-book fa-3x text-muted opacity-50"> </i>
                </div>
            </div>
        </a>
    </div>
    <div class="col-md-4 col-sm-6 mb-3">
        <a href="{{ url_for('group_users_blueprint.index') }}" class="card-link">
            <div class="card">
                <div class="rounded d-flex align-items-center justify-content-between p-4">
                    <div class="ms-0">
                        <h5 class="card-title mb-1">Find Groups Users</h5>
                        <span class="card-subtitle">Find users based on group/s then export them as excel file</span>
                    </div>
                     <i class="fa fa-magnifying-glass fa-3x text-muted opacity-50"></i>
                </div>
            </div>
        </a>
    </div> -->
</div>

<div>v{{version}}</div>

{% endblock content %}

<!-- Specific Page JS goes HERE  -->
{% block javascripts %}{% endblock javascripts %}
